Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class HashIterator

- org.codehaus.groovy.runtime.metaclass.ConcurrentReaderHashMap.HashIterator

- All Implemented Interfaces and Traits:
    Iterator, Enumeration

      protected class ConcurrentReaderHashMap.HashIterator

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Object` | `currentKey` |
    `protected Object` | `currentValue` |
    `protected Entry` | `entry` |
    `protected int` | `index` |
    `protected Entry` | `lastReturned` |
    `protected Entry[]` | `tab` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `protected ConcurrentReaderHashMap.HashIterator ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `hasMoreElements()`
    `` | `boolean` | `hasNext()`
    `` | `Object` | `next()`
    `` | `Object` | `nextElement()`
    `` | `void` | `remove()`
    `` | `protected Object` | `returnValueOfNext()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### protected Object currentKey

    - #### protected Object currentValue

    - #### protected Entry entry

    - #### protected int index

    - #### protected Entry lastReturned

    - #### protected final Entry[] tab

  - ### Constructor Detail

    - #### protected ConcurrentReaderHashMap.HashIterator()

  - ### Method Detail

    - #### public boolean hasMoreElements()

    - #### public boolean hasNext()

    - #### public Object next()

    - #### public Object nextElement()

    - #### public void remove()

    - #### protected Object returnValueOfNext()